import Comment from './document/comment';
import DocumentFragment from './document/document-fragment';
import Element from './document/element';
import Node, { NodeType } from './document/node';
import RawHTMLSection from './document/raw-html-section';
import Text from './document/text';
export default class Document extends Node {
    nodeType: NodeType.DOCUMENT_NODE;
    documentElement: Element;
    head: Element;
    body: Element;
    constructor();
    createElement(tagName: string): Element;
    createTextNode(text: string): Text;
    createComment(text: string): Comment;
    createRawHTMLSection(text: string): RawHTMLSection;
    createDocumentFragment(): DocumentFragment;
}
